#%define	add_japo	1

Summary:	gnome panel applet to select and tile windows
Summary(ja): 	ウィンドウを整列させる Gnome パネルアプレット
Name:		x-tile
Version:	2.5
Release: 	2%{?_dist_release}
Source0:	http://www.giuspen.com/software/%{name}-%{version}.tar.xz
#%if %{add_japo}
Source1:	x-tile-2.5-ja.po
#%endif
Patch0:		x-tile-2.5-ja.patch
License:	GPLv2
Group:		User Interface/Desktops
URL:		http://www.giuspen.com/x-tile/

BuildRequires:	pygtk2
#Requires:	python, pygtk2, gnome-python-applet
Requires:	python, pygtk2
Requires(post):  desktop-file-utils
Requires(postun):desktop-file-utils

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Packager:       kazutaka, iwaim

%description
X-tile is a gnome applet for your panel (or optionally a standalone
application, working with kde as well) that allows you to select
a number of windows and tile them in different ways.

This is especially useful for comparing products in separate
web pages, or for programmers refering to documentation as they
are programming.

%description -l ja
X-tile は指定したウィンドウを様々なレイアウトで整列させられる
Gnome パネルアプレットです。
(*また単独のアプリケーションとしても使用できますし、KDE 上で
  も問題なく動作します。)

このアプレットは、(例えば)複数のウェブページを比較したり、ド
キュメントを参照しながらプログラミングをしたり、といった場面
で役に立ちます。


%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build
# install japanese translation
#%if %{add_japo}
#%{__mkdir_p} locale/ja/LC_MESSAGES
#msgfmt %{SOURCE1} -o locale/ja/LC_MESSAGES/%{name}.mo
%{__cp} -f %{SOURCE1} locale/ja.po
#%endif

%{__python} setup.py build

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__python} setup.py install --prefix=$RPM_BUILD_ROOT%{_prefix}

%find_lang %{name}

%post
update-desktop-database %{_datadir}/applications >& /dev/null ||:

%postun
update-desktop-database %{_datadir}/applications >& /dev/null ||:


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root)
%doc license 
%{_bindir}/%{name}
%{python_sitelib}/X_Tile-%{version}-py2.7.egg-info
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}.1.gz


%changelog
* Sun Jul 13 2014 Toshiharu Kudoh <toshi.kd2@gmail.com> 2.5-2
- added BuildRequires: pygtk2

* Sat Mar 02 2013 Toshiharu Kudoh <toshi.kd2@gmail.com> 2.5-1
- new upstream release
- changed source archive bz2 to xz
- updated Source1 and Patch0

* Thu Mar 31 2011 IWAI, Masaharu <iwai@alib.jp> 1.8.6-1
- new upstream release
- add ja.po (Source1)
- add ja patch (Patch0)

* Fri Jul 23 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 1.6.1-1
- new upstream release
- drop Source1(ja.po), merged into upstream

* Mon Jul 19 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 1.6-2
- add Source1: japanese translation (thanks iwai-san)

* Fri Jul 16 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 1.6-1
- initial build for Vine Linux
